package nl.chriswesdorp.demos.jbosstimerpersistence.ejb;

import javax.ejb.EJB;
import javax.ejb.LocalBean;
import javax.ejb.Schedule;
import javax.ejb.Singleton;
import javax.ejb.Startup;

/**
 *
 * @author c.wesdorp
 */
@Singleton
@LocalBean
@Startup
public class PersistentTimerBean  {

    @EJB HelloBean helloBean;

    @Schedule(second="*/15", minute="*", hour="*", persistent=true)
    public void timeOut() {
        System.out.println(new StringBuilder("persistent: timeOut from timer @")
                .append(new java.util.Date())
                .append(" and call speak():")
                .append(helloBean.speak())
                .toString());
    }
 
}
